# 63. Мутация: сохранить организацию

Мутация для добавления или редактирования "Организации". "Пользователь", который отправил запрос saveOrganization, будет владельцем "Организации".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      name: "Название организации"
      surname: "Фамилия владельца"
      givenName: "Имя владельца"
      email: "owner@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    название
    фамилия
    имя
    email
    телефон
    датаСоздания
    updatedDate
  }
}
```

{% endcode %}

Чтобы отредактировать существующую "Организацию", добавьте атрибут uuid в запрос.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "Новое название организации"
      surname: "Фамилия владельца"
      givenName: "Имя владельца"
      email: "owner_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    название
    фамилия
    имя
    email
    телефон
    датаСоздания
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/63.-mutaciya-sokhranit-organizaciyu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
